from setuptools import setup, find_packages

with open("README.md", "r", encoding = "utf-8") as fh:
    long_description = fh.read()

setup(
    author = 'Anahit Manukyan, Milena Bazoyan, Lusine Torosyan, Sate Antaranyan',
    description= 'A package for predicting fashion trends',
    name = 'FashionTrendForecasting',
    version = '0.1.0',
    packages = find_packages(include = ['FashionTrendForecasting', 'FashionTrendForecasting.*']),
    install_requires=[
        'annotated-types==0.6.0',
        'anyio==4.3.0',
        'appnope==0.1.4',
        'argon2-cffi==23.1.0',
        'argon2-cffi-bindings==21.2.0',
        'arrow==1.3.0',
        'asttokens==2.4.1',
        'async-lru==2.0.4',
        'attrs==23.2.0',
        'Babel==2.15.0',
        'beautifulsoup4==4.12.3',
        'bleach==6.1.0',
        'certifi==2024.2.2',
        'cffi==1.16.0',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'comm==0.2.2',
        'contourpy==1.2.1',
        'cycler==0.12.1',
        'debugpy==1.8.1',
        'decorator==5.1.1',
        'defusedxml==0.7.1',
        'executing==2.0.1',
        'Faker==24.14.0',
        'fastapi==0.110.0',
        'fastjsonschema==2.19.1',
        'fonttools==4.51.0',
        'fqdn==1.5.1',
        'h11==0.14.0',
        'httpcore==1.0.5',
        'httptools==0.6.1',
        'httpx==0.27.0',
        'idna==3.6',
        'ipykernel==6.29.4',
        'ipython==8.24.0',
        'ipywidgets==8.1.2',
        'isoduration==20.11.0',
        'jedi==0.19.1',
        'Jinja2==3.1.4',
        'joblib==1.4.0',
        'json5==0.9.25',
        'jsonpointer==2.4',
        'jsonschema==4.22.0',
        'jsonschema-specifications==2023.12.1',
        'jupyter==1.0.0',
        'jupyter-console==6.6.3',
        'jupyter-events==0.10.0',
        'jupyter-lsp==2.2.5',
        'jupyter_client==8.6.1',
        'jupyter_core==5.7.2',
        'jupyter_server==2.14.0',
        'jupyter_server_terminals==0.5.3',
        'jupyterlab==4.1.8',
        'jupyterlab_pygments==0.3.0',
        'jupyterlab_server==2.27.1',
        'jupyterlab_widgets==3.0.10',
        'kiwisolver==1.4.5',
        'MarkupSafe==2.1.5',
        'matplotlib==3.9.0rc2',
        'matplotlib-inline>=0.1.7',
        'mistune==3.0.2',
        'nbclient==0.10.0',
        'nbconvert==7.16.4',
        'nbformat==5.10.4',
        'nest-asyncio==1.6.0',
        'notebook==7.1.3',
        'notebook_shim==0.2.4',
        'numpy>=1.26.4',
        'overrides==7.7.0',
        'packaging==24.0',
        'pandas>=2.2.1',
        'pandocfilters==1.5.1',
        'parso==0.8.4',
        'pexpect==4.9.0',
        'pillow==10.3.0',
        'platformdirs==4.2.1',
        'prometheus_client==0.20.0',
        'prompt-toolkit==3.0.43',
        'psutil==5.9.8',
        'ptyprocess==0.7.0',
        'pure-eval==0.2.2',
        'pycparser==2.22',
        'pydantic==2.6.4',
        'pydantic_core==2.16.3',
        'Pygments==2.18.0',
        'pyparsing==3.1.2',
        'python-dateutil==2.9.0.post0',
        'python-dotenv==1.0.1',
        'python-json-logger==2.0.7',
        'pytz==2024.1',
        'PyYAML==6.0.1',
        'pyzmq==26.0.3',
        'qtconsole==5.5.2',
        'QtPy==2.4.1',
        'referencing==0.35.1',
        'requests==2.31.0',
        'rfc3339-validator==0.1.4',
        'rfc3986-validator==0.1.1',
        'rpds-py==0.18.1',
        'scikit-learn==1.4.2',
        'scipy==1.13.0',
        'seaborn==0.13.2',
        'Send2Trash==1.8.3',
        'six==1.16.0',
        'sniffio==1.3.1',
        'soupsieve==2.5',
        'SQLAlchemy==2.0.29',
        'stack-data==0.6.3',
        'starlette==0.36.3',
        'terminado==0.18.1',
        'threadpoolctl==3.4.0',
        'tinycss2==1.3.0',
        'tornado==6.4',
        'traitlets==5.14.3',
        'types-python-dateutil==2.9.0.20240316',
        'typing_extensions==4.10.0',
        'tzdata==2024.1',
        'uri-template==1.3.0',
        'urllib3==2.2.1',
        'uvicorn==0.29.0',
        'uvloop==0.19.0',
        'watchfiles==0.21.0',
        'wcwidth==0.2.13',
        'webcolors==1.13',
        'webencodings==0.5.1',
        'websocket-client==1.8.0',
        'websockets==12.0',
        'widgetsnbextension==4.0.10'
    ],

python_requires='>=3.12.0'
)
